Skip to main content
GET
/
projects
/
{project_id}
/
documents
/
get-without-file
List documents without file data
import requests

url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/documents/get-without-file/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "count": 123,
  "next": "<string>",
  "previous": "<string>",
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "content_type": "<string>",
      "page_count": 123,
      "file_size": 123,
      "metadata": [
        [
          "<string>"
        ]
      ],
      "status": "active"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.clarifeye.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer

Path Parameters

project_id
string<uuid>
required

UUID of the project

Query Parameters

limit
integer
default:100

Maximum number of results per page

Required range: 1 <= x <= 1000
offset
integer
default:0

Number of results to skip for pagination

Required range: x >= 0

Response

Successful response

count
integer

Total number of results

next
string<uri> | null

URL to next page of results

previous
string<uri> | null

URL to previous page of results

results
object[]